avro-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cutt...@apache.org
Subject svn commit: r1552794 - in /avro/trunk: build.sh lang/ruby/Gemfile lang/ruby/build.sh
Date Fri, 20 Dec 2013 19:46:13 GMT
Author: cutting
Date: Fri Dec 20 19:46:13 2013
New Revision: 1552794

URL: http://svn.apache.org/r1552794
Log:
AVRO-1063.  Add a build.sh script for ruby that installs dependencies before runnings tests.

Added:
    avro/trunk/lang/ruby/Gemfile
    avro/trunk/lang/ruby/build.sh   (with props)
Modified:
    avro/trunk/build.sh

Modified: avro/trunk/build.sh
URL: http://svn.apache.org/viewvc/avro/trunk/build.sh?rev=1552794&r1=1552793&r2=1552794&view=diff
==============================================================================
--- avro/trunk/build.sh (original)
+++ avro/trunk/build.sh Fri Dec 20 19:46:13 2013
@@ -46,7 +46,7 @@ case "$target" in
 	(cd lang/c++; ./build.sh test)
 	(cd lang/csharp; ./build.sh test)
 	(cd lang/js; ./build.sh test)
-	(cd lang/ruby; rake test)
+	(cd lang/ruby; ./build.sh test)
 	(cd lang/php; ./build.sh test)
 
 	# create interop test data
@@ -109,7 +109,7 @@ case "$target" in
 
 	(cd lang/js; ./build.sh dist)
 
-	(cd lang/ruby; rake dist)
+	(cd lang/ruby; ./build.sh dist)
 
 	(cd lang/php; ./build.sh dist)
 
@@ -157,7 +157,7 @@ case "$target" in
 
 	(cd lang/js; ./build.sh clean)
 
-	(cd lang/ruby; rake clean)
+	(cd lang/ruby; ./build.sh clean)
 
 	(cd lang/php; ./build.sh clean)
 	;;

Added: avro/trunk/lang/ruby/Gemfile
URL: http://svn.apache.org/viewvc/avro/trunk/lang/ruby/Gemfile?rev=1552794&view=auto
==============================================================================
--- avro/trunk/lang/ruby/Gemfile (added)
+++ avro/trunk/lang/ruby/Gemfile Fri Dec 20 19:46:13 2013
@@ -0,0 +1,4 @@
+source 'https://rubygems.org' 
+gem 'rake'
+gem 'echoe'
+gem 'multi_json'

Added: avro/trunk/lang/ruby/build.sh
URL: http://svn.apache.org/viewvc/avro/trunk/lang/ruby/build.sh?rev=1552794&view=auto
==============================================================================
--- avro/trunk/lang/ruby/build.sh (added)
+++ avro/trunk/lang/ruby/build.sh Fri Dec 20 19:46:13 2013
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+# connect to Avro Ruby root directory
+cd `dirname "$0"`
+
+# maintain our gems here
+export GEM_HOME=.gem/
+export PATH="$PATH:.gem/bin"
+
+# boostrap bundler
+gem install --conservative --no-rdoc --no-ri bundler
+
+case "$1" in
+     test)
+        bundle install
+        bundle exec rake test
+       ;;
+
+     dist)
+        bundle exec rake dist
+       ;;
+
+     clean)
+        bundle exec rake clean
+       ;;
+
+     *)
+       echo "Usage: $0 {test|dist|clean}"
+       exit 1
+
+esac
+
+exit 0

Propchange: avro/trunk/lang/ruby/build.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: avro/trunk/lang/ruby/build.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message